using UnityEngine;
using KFADA = XGame.Framework.Asyncs;

namespace XGame.Framework.Asset
{
    public interface IUnitySceneModule
    {
        KFADA.IResultAsync<TResult> LoadSceneAsync<TResult>(string sceneName) where TResult : Component;

        void UnLoadScene(string sceneName);
    }
}
